Subject: CCL: ROHF and UHF gradients

From: Ron Shepard <[email-masked]>
Date: Fri, 11 Oct 1996 11:26:38 -0500

>2)  A subtle point I think I do not understand... but I think the answer is no.
>If one has a converged ROHF open-shell energy, wave function, density, etc, can
>one use a gradient code for UHF to get accurate gradients?  Again I think not..
>but I would appreciate any comments.

If it a high-spin ROHF, then it can be represented as a single
determinant wave function and a UHF gradient code could be used.  This is
not the most efficient way to compute the ROHF gradient, but it would
work.  You would have to "convert" the wave function representation from
the single determinant ROHF to that of the single determinant UHF so that
the correct density matrices can be computed.  If it is not a high-spin
ROHF (e.g. an open-shell singlet, a 3-electron doublet, and so on), then
it is not a single determinant wave function and the UHF-based gradient
code would need more significant modifications in order to compute the
appropriate gradient.

-Ron Shepard